Subject: bug#10277: closed (Re: bug#10277: 24.0.91; memory leak when using vm)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Oct 2019 19:53:03 +0000

Your bug report

#10277: 24.0.91; memory leak when using vm

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10277: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10277
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10277: 24.0.91; memory leak when using vm
From: Stefan Kangas <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], emacs user <[email-masked]>
Date: Wed, 30 Oct 2019 20:52:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> This was reported 8 years ago, and many things have changed since then.
> Are you still seeing this on a modern version of Emacs?

More information was requested, but none was given within 5 weeks, so
I'm closing this bug.  If this is still an issue, please reopen the bug
report.

Best regards,
Stefan Kangas

Subject: 24.0.91; memory leak when using vm
From: emacs user <[email-masked]>
To: [email-masked]
Date: Sun, 11 Dec 2011 23:17:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 24.0.91.1 (x86_64-apple-darwin11.2.0, NS apple-appkit-1138.23)
 of 2011-11-25 on MacBook-Air.local
Windowing system distributor `Apple', version 10.3.1138
configured using `configure  '--with-ns''

when using vm, emacs grows in size every time I read my inbox, and
eventually crashes.  garbage-collect has no effect.  memory-usage.el
gives the output below, I would be grateful for any hints on how to
identify the problem...

[at the time of this report, emacs grew to about 200mb (using activity
monitor on the mac).  it's initial size was about 30mb. ]

\Garbage collection stats:
((470940 . 228143) (128755 . 1) (348632 . 1073) 9089641 3274519 (123 .
1083) (4119 . 14324) (691547 . 38503))

 =>	7535040+3650288 bytes in cons cells
	6180240+48 bytes in symbols
	13945280+42920 bytes in markers
	1968+17328 bytes in floats
	230664+802144 bytes in intervals
	22129504+1232096 bytes in string headers
	9089641 bytes of string chars
	9089641 bytes of vector slots

Total bytes in lisp objects: 68131680 (live 62386856, dead 5744824)

Buffer ralloc memory usage:
10 buffers
10404 bytes total (9887 in gaps)
      Size	Gap	Name

       568	1572	*Buffer Details*
        20	2045	 *Echo Area 1*
        17	3	 *Custom-Work*
         5	2020	 *code-conversion-work*
         0	20	*scratch*
         0	2037	 *Minibuf-1*
         0	20	 *vm-nonexistent-summary*
         0	20	 *Minibuf-0*
         0	2037	 *Echo Area 0*
         0	20	 *subst-char-in-string*